#include <iostream>

#include "common/block/Block.h"

using namespace std;

BlockId Block::idCounter = 0;

Block::Block()
{
    id = idCounter++;
    cout << "Block " << id << endl;
}

Block::~Block()
{
}

BlockId Block::getId() const
{
    return id;
}

bool Block::isEmpty() const
{
    return false;
}

bool Block::isBlockingFace(Face& f) const
{
    return !isEmpty();
}
